#ifndef LINE_IN_USER_H
#define LINE_IN_USER_H

#include "Line_In.h"

typedef enum
{
    LINE_IN_TurnLeft = 0,                          
    LINE_IN_TurnRight,              
    LINE_IN_HighBeam,         
    LINE_IN_Auto_Start_Stop,                                        
    LINE_IN_MAX,
} LINE_IN_Enum_t;

extern void LINE_IN_Init(void);

Linelib_uint8_t Get_LINE_IN_TurnLeft(void);
Linelib_uint8_t Get_LINE_IN_TurnRight(void);
Linelib_uint8_t Get_LINE_IN_HighBeam(void);
Linelib_uint8_t Get_LINE_IN_Auto_Start_Stop(void);


#endif
